## class DragHandleCmd : public DragShapeCmd

> command class for dragging line handles.

## Inheritance:

### Public Methods

  | DragHandleCmd (Line *line, unsigned which)
  void | Execute ()
  void | UnExecute ()
  void | Executable ()
  void | DrawOutLine (const Point *delta)
  const char* | GetName () const

### Protected Methods

  void | Erase ()
  void | Redraw ()
  void | ReverseDelta ()
  Point* | GetOldPt ()
  Point* | GetNewPt ()
  Line* | GetLine ()
  void | DrawLines (const Point *p1, const Point *p2, const Point *p3)
  unsigned | GetHandleNr ()
  virtual void | CalcPoints ()

### Inherited from DragShapeCmd:

### Public Methods

void TrackMouse(TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)
void ReExecute()

### Protected Methods

Shape* GetShape() const
ShapeView* GetView() const
const Point* GetDelta() const
void SetDelta(const Point *p)
const Point* GetOldPosition() const
void SetOldPosition(const Point *p)

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for dragging line handles.

`DragHandleCmd(Line *line, unsigned which)`

`void Execute()`

`void UnExecute()`

`void Executable()`

`void DrawOutLine(const Point *delta)`

`const char* GetName() const`

`void Erase()`

`void Redraw()`

`void ReverseDelta()`

`Point* GetOldPt()`

`Point* GetNewPt()`

`Line* GetLine()`

`void DrawLines(const Point *p1, const Point *p2, const Point *p3)`

`unsigned GetHandleNr()`

`virtual void CalcPoints()`

Direct child classes:
  AddHandleCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de